#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for generating UI
Name:           kxmlgui
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: kglobalaccel-devel >= %version
BuildRequires: kitemviews-devel >= %version
BuildRequires: kconfig-devel >= %version
BuildRequires: kglobalaccel-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kauth-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: kconfigwidgets-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kcompletion-devel >= %version
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: sonnet-devel >= %version
BuildRequires: ktextwidgets-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
# OPTIONAL packages
BuildRequires: cmake(KF5Attica) >= %version

%description
KDE Frameworks 5 Tier 3 solution for generating UI.

%files -f kxmlgui5.lang
%_kf5_sysconfdir/xdg/ui/ui_standards.rc
%_kf5_libexecdir/ksendbugmail

#--------------------------------------------------------------------

%define kf5xmlgui_major 5
%define libkf5xmlgui %mklibname kf5xmlgui %{kf5xmlgui_major}

%package -n %libkf5xmlgui
Summary:  KDE Frameworks 5 Tier 3 solution for generating UI
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkf5xmlgui
KDE Frameworks 5 Tier 3 solution for generating UI.

%files -n %libkf5xmlgui
%_kf5_libdir/libKF5XmlGui.so.%{kf5xmlgui_major}*

#--------------------------------------------------------------------

%define kf5xmlgui_devel %mklibname kf5xmlgui -d

%package -n %kf5xmlgui_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5xmlgui = %version-%release
Provides:       %name-devel = %{version}-%{release}


Requires:       kconfig-devel >= %version
Requires:       kconfigwidgets-devel >= %version
Requires:       kglobalaccel-devel >= %version
Requires:       kiconthemes-devel >= %version
Requires:       kitemviews-devel >= %version
Requires:       ktextwidgets-devel >= %version
Requires:       kwindowsystem-devel >= %version

Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(Qt5Xml)


%description -n %kf5xmlgui_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5xmlgui_devel
%_kf5_includedir/KXmlGui
%_kf5_includedir/kxmlgui_version.h
%_kf5_libdir/cmake/KF5XmlGui
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang kxmlgui5


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194169
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088999
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074571
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072235
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058390
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050567
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049211
- enable KF5Attica support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045145
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041367
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021965
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014375
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999664
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986357
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942283
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921310
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913078
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909897
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900591
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899489
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 899199
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888194
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881418
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862979
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862630
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853824
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841614
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803382
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681257
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660454
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655234
- Rebuild against new kf5 macros

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651850
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611306
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599814
- New version 4.97.0

* Fri Feb 21 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 595235
- Rebuild against fixed kf5-macros

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594736
- imported package kxmlgui

